import pystan
import matplotlib.pyplot as plt

Stan_Model = """
data{
    int N;
    int k;
}
parameters{
    simplex[2] theta;
}
model{
    k ~ binomial(N, theta[1]);
}
"""

Data = {'N': 10, 'k': 7}
sm = pystan.StanModel(model_code = Stan_Model)
fit = sm.sampling(data = Data, n_jobs = 1)
print(fit)
f = open('fit.txt', 'w')
f.write('fit = \n{}'.format(fit))
f.close()
fit.plot()
plt.show()
